Summary: Cluster extenstions for userland logical volume management tools 
Name: lvm2-cluster
Version: 2.02.17
Release: 1%{?dist}
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/lvm2
Source0: LVM2.%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): chkconfig
Requires(post): ldconfig
Requires(preun): chkconfig
Requires(preun): device-mapper >= 1.02.13
Requires(preun): lvm2 >= 2.02
Requires(postun): ldconfig
BuildRequires: device-mapper >= 1.02.13
BuildRequires: libselinux-devel, libsepol-devel
BuildRequires: cman-devel
Requires: lvm2 >= 2.02.17

%description
Extensions to LVM2 to support clusters.

%prep
%setup -q -n LVM2.%{version}

%build
%configure --with-clvmd=cman --with-cluster=shared --with-user= --with-group=
make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install_cluster DESTDIR=$RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install scripts/clvmd_init_rhel4 $RPM_BUILD_ROOT/etc/rc.d/init.d/clvmd
install -m 0755 scripts/lvmconf.sh $RPM_BUILD_ROOT/usr/sbin/lvmconf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add clvmd
/sbin/ldconfig

/usr/sbin/lvmconf --lockinglibdir %{_libdir}

%postun -p /sbin/ldconfig

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del clvmd
	/usr/sbin/lvmconf --disable-cluster
fi

%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_sbindir}/clvmd
%{_sbindir}/lvmconf
%attr(755,root,root) %{_libdir}/liblvm2clusterlock.so
%attr(755,root,root) %{_libdir}/liblvm2clusterlock.so.2.02
%{_mandir}/man8/clvmd.8.gz
/etc/rc.d/init.d/clvmd

%changelog
* Wed Jan 03 2007 Alasdair Kergon <agk@redhat.com> - 2.02.17-1
- Update to latest stable upstream.

* Tue Sep 19 2006 Alasdair Kergon <agk@redhat.com> - 2.02.10-1.0
- New upstream with fixes.

* Wed Aug 31 2006 Alasdair Kergon <agk@redhat.com> - 2.02.06-1.5
- Build for all archs now.

* Wed Aug 01 2006 Milan Broz <mbroz@redhat.com> - 2.02.06-1.4
- Force binaries to 755 permission (rpmlint)
- Removed macro in changelog (rpmlint)

* Wed Jul 31 2006 Milan Broz <mbroz@redhat.com> - 2.02.06-1.3
- Added post/postun ldconfig Requires.
- device-mapper version dependency 

* Wed Jun 14 2006 Alasdair Kergon <agk@redhat.com> - 2.02.06-1.2
- Added post/postun ldconfig.
- Reinstate dropped RHEL4->Fedora chkconfig patch.

* Tue Jun 13 2006 Alasdair Kergon <agk@redhat.com> - 2.02.06-1.1
- BuildRequires cman-devel now instead of dlm-devel, gulm-devel, ccs-devel.
- Only build cman from now on: gulm is gone.
- Adjust architectures to match new cman package.
- Apply build fix to tarball.

* Mon May 22 2006 Alasdair Kergon <agk@redhat.com> - 2.02.06-1.0
- Sync with latest lvm2 package.
- Tidy spec file. [192100]
- Adjust architectures to match dlm-kernel package.

* Wed Mar 8 2006 Alasdair Kergon <agk@redhat.com> - 2.02.01-1.0
- Sync with new device-mapper and lvm2 packages.

* Wed Mar 8 2006 Alasdair Kergon <agk@redhat.com> - 2.01.09-6.0
- Add missing chkconfig prereq.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Jun 14 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-5.0
- Couple of fixes to clvmd file descriptor closing.
- Fix potential spin loop in clvmd.
- Add lvmconf binary to enable/disable clustering.

* Mon May 23 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-3.0
- Changed arch again, now: 'ExclusiveArch: i386 ppc ppc64 x86_64'
- Fix clvmd init script.
- Don't add it to any runlevels by default. (#157468)

* Thu Apr 21 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-2.1
- BuildRequires: dlm-devel, gulm-devel, ccs-devel
- Improve co-operation between clvmd and gulm over node state changes. [146056]
- Switch from 'ExcludeArch: s390 s390x ppc' to
  'ExclusiveArch: i386 ia64 x86_64' to match dlm dependency.

* Mon Apr 04 2005 Alasdair Kergon <agk@redhat.com> - 2.01.09-1.0
- clvmd: Don't allow user operations to start until lvm thread is fully up.
- clvmd-gulm: Set KEEPALIVE on sockets.

* Tue Mar 22 2005 Alasdair Kergon <agk@redhat.com> - 2.01.08-1.0
- Improve detection of external changes affecting internal cache.
 
* Wed Mar 16 2005 Alasdair Kergon <agk@redhat.com> - 2.01.07-2.0
- clvmd lvm_thread_lock fix.
- clvmd FDs close-on-exec
- unlock gulm VG & orphan locks at startup in case they are stale
- unlock gulm VG & orphan locks if client dies.
- Extra /dev scanning required for clustered operation.
- Various clvmd fixes.
- Added chkconfig --add & --del to start init scripts.
- clvmd startup mesgs improved; avoid gulm hang after node reboot
- clvmd startup fix; recognise gnbd; improve error reporting.
- Install the correct clvmd init script.
- Fix clvmd build.
- Include cman & gulm in same library.
- Remove cluster subdir.

* Thu Jan 27 2005 Florian La Roche <laroche@redhat.com>
- rebuild against current libs

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com> - 2.00.29-1.11
- Added init script for clvm.

* Wed Dec 15 2004 Chris Feist <cfeist@redhat.com> - 2.00.29-1.11
- Use %%{_libdir} which fixes 64 bit architecture build problems.

* Wed Dec 1 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.2
- Remove superfluous Requires.

* Tue Nov 30 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.1
- Sort out most of the files.

* Tue Nov 30 2004 Alasdair Kergon <agk@redhat.com> - 2.00.29-1.0
- Initial import.
